import { TargetedActionDescriptor } from 'pretur.redux';
import { QueryFilters, QueryPagination, QueryOrder } from 'pretur.sync';
import { ValidationError } from 'pretur.validation';
import { State } from './clay';
export interface SetFieldPayload {
    field: string;
    value: any;
}
export interface ExtraPayload {
    extra: any;
    resetPagination: boolean;
}
export declare const CLAY_CLEAR: TargetedActionDescriptor<void, void>;
export declare const CLAY_REPLACE: TargetedActionDescriptor<any, void>;
export declare const CLAY_SET_VALUE: TargetedActionDescriptor<any, void>;
export declare const CLAY_SET_ERROR: TargetedActionDescriptor<ValidationError, void>;
export declare const CLAY_SET_STATE: TargetedActionDescriptor<State, void>;
export declare const CLAY_SET_FIELD: TargetedActionDescriptor<SetFieldPayload, void>;
export declare const CLAY_ADD: TargetedActionDescriptor<any, void>;
export declare const CLAY_REMOVE: TargetedActionDescriptor<number, void>;
export declare const CLAY_SET_QUERY_ATTRIBUTES: TargetedActionDescriptor<string[], void>;
export declare const CLAY_SET_QUERY_FILTERS: TargetedActionDescriptor<QueryFilters<any>, void>;
export declare const CLAY_SET_QUERY_PAGINATION: TargetedActionDescriptor<QueryPagination, void>;
export declare const CLAY_SET_QUERY_ORDER: TargetedActionDescriptor<QueryOrder, void>;
export declare const CLAY_SET_QUERY_EXTRA: TargetedActionDescriptor<ExtraPayload, void>;
export declare const CLAY_SET_QUERIEIR_COUNT: TargetedActionDescriptor<number, void>;
