import { Spec } from 'pretur.spec';
import { InsertRequest, UpdateRequest, RemoveRequest } from 'pretur.sync';
import { Set } from './Set';
import { Record } from './Record';
export declare type MutationRequest<T> = InsertRequest<T> | UpdateRequest<T> | RemoveRequest<T>;
export declare function mutations<T>(clay: Set<T> | Record<T>, spec: Spec<T>): MutationRequest<any>[];
