import { ValidationError } from 'pretur.validation';
import { Action, Dispatch } from 'pretur.redux';
import { Clay, State } from './clay';
export declare class Value<T> implements Clay {
    readonly uniqueId: number;
    readonly original: this;
    readonly state: State;
    readonly value: T | undefined;
    readonly error: ValidationError;
    constructor(value?: T, error?: ValidationError, state?: State, original?: Value<T>, uniqueId?: number);
    readonly modified: boolean;
    readonly valid: boolean;
    reduce(action: Action<any, any>): this;
    clear(dispatch: Dispatch): void;
    replace(dispatch: Dispatch, by: this): void;
    setValue(dispatch: Dispatch, value: T): void;
    setError(dispatch: Dispatch, error: ValidationError): void;
    setState(dispatch: Dispatch, state: State): void;
}
