import { ValidationError } from 'pretur.validation';
import { Reducible, Dispatch } from 'pretur.redux';
export declare function nextId(): number;
export declare type State = 'normal' | 'new' | 'removed';
export interface Clay extends Reducible {
    readonly uniqueId: number;
    readonly original: this;
    readonly state: State;
    readonly error: ValidationError;
    readonly modified: boolean;
    readonly valid: boolean;
    setError(dispatch: Dispatch, error: ValidationError): void;
    setState(dispatch: Dispatch, state: State): void;
}
export declare function from(value: any): Clay;
export declare function toPlain(clay: Clay): any;
